config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/xdg/midori/search.new
config etc/xdg/midori/extensions/adblock/config.new

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/lib64 ; rm -rf libmidori-core.so.1 )
( cd usr/lib64 ; ln -sf libmidori-core.so.0.0.0 libmidori-core.so.1 )
( cd usr/lib64 ; rm -rf libmidori-core.so )
( cd usr/lib64 ; ln -sf libmidori-core.so.1 libmidori-core.so )
( cd usr/doc ; rm -rf midori )
( cd usr/doc ; ln -sf midori-0.5.10 midori )
